"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
;/* empty css                                               */
;/* empty css                                                */
;/* empty css                                                */
;/* empty css                                               */
;/* empty css                                               */
const Vue = require("vue");
const index = require("../../../../node_modules/vant/es/steps/index.js");
const index$1 = require("../../../../node_modules/vant/es/step/index.js");
const _sfc_main = {
  __name: "Steps",
  props: {
    options: {
      //步骤配置
      type: Array,
      default: []
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_van_step = index$1.Step;
      const _component_van_steps = index.Steps;
      return Vue.openBlock(), Vue.createBlock(_component_van_steps, Vue.mergeProps(_ctx.$attrs, { direction: "horizontal" }), {
        default: Vue.withCtx(() => [
          (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(__props.options, (item) => {
            return Vue.openBlock(), Vue.createBlock(_component_van_step, null, {
              default: Vue.withCtx(() => [
                Vue.createTextVNode(Vue.toDisplayString(item.text), 1)
              ]),
              _: 2
            }, 1024);
          }), 256))
        ]),
        _: 1
      }, 16);
    };
  }
};
exports.default = _sfc_main;
